Skip to content
This repository
Browse code

Prepare for 2.3.4 release

  • Loading branch information...
commit a43ef2436cc6b63af35636127e42495ceb538cee 1 parent 9a68c72
Michael Koziarski authored September 04, 2009
4  actionmailer/CHANGELOG
... ...
@@ -1,3 +1,7 @@
  1
+*2.3.4 (September 4, 2009)*
  2
+
  3
+* Minor bug fixes.
  4
+
1 5
 *2.3.3 (July 12, 2009)*
2 6
 
3 7
 * No changes, just a version bump.
2  actionmailer/Rakefile
@@ -54,7 +54,7 @@ spec = Gem::Specification.new do |s|
54 54
   s.rubyforge_project = "actionmailer"
55 55
   s.homepage = "http://www.rubyonrails.org"
56 56
 
57  
-  s.add_dependency('actionpack', '= 2.3.3' + PKG_BUILD)
  57
+  s.add_dependency('actionpack', '= 2.3.4' + PKG_BUILD)
58 58
 
59 59
   s.has_rdoc = true
60 60
   s.requirements << 'none'
2  actionmailer/lib/action_mailer/version.rb
@@ -2,7 +2,7 @@ module ActionMailer
2 2
   module VERSION #:nodoc:
3 3
     MAJOR = 2
4 4
     MINOR = 3
5  
-    TINY  = 3
  5
+    TINY  = 4
6 6
 
7 7
     STRING = [MAJOR, MINOR, TINY].join('.')
8 8
   end
4  actionpack/CHANGELOG
... ...
@@ -1,4 +1,6 @@
1  
-*2.3.4 (pending)*
  1
+*2.3.4 (September 4, 2009)*
  2
+
  3
+* Sanitize multibyte strings before escaping them with escape_once. CVE-2009-3009
2 4
 
3 5
 * Introduce grouped_collection_select helper.  #1249 [Dan Codeape, Erik Ostrom]
4 6
 
2  actionpack/Rakefile
@@ -79,7 +79,7 @@ spec = Gem::Specification.new do |s|
79 79
   s.has_rdoc = true
80 80
   s.requirements << 'none'
81 81
 
82  
-  s.add_dependency('activesupport', '= 2.3.3' + PKG_BUILD)
  82
+  s.add_dependency('activesupport', '= 2.3.4' + PKG_BUILD)
83 83
   s.add_dependency('rack', '~> 1.0.0')
84 84
 
85 85
   s.require_path = 'lib'
2  actionpack/lib/action_pack/version.rb
@@ -2,7 +2,7 @@ module ActionPack #:nodoc:
2 2
   module VERSION #:nodoc:
3 3
     MAJOR = 2
4 4
     MINOR = 3
5  
-    TINY  = 3
  5
+    TINY  = 4
6 6
 
7 7
     STRING = [MAJOR, MINOR, TINY].join('.')
8 8
   end
2  activerecord/CHANGELOG
... ...
@@ -1,4 +1,4 @@
1  
-*2.3.4 (pending)*
  1
+*2.3.4 (September 4, 2009)*
2 2
 
3 3
 * PostgreSQL: XML datatype support.  #1874 [Leonardo Borges]
4 4
 
2  activerecord/Rakefile
@@ -192,7 +192,7 @@ spec = Gem::Specification.new do |s|
192 192
     s.files = s.files + Dir.glob( "#{dir}/**/*" ).delete_if { |item| item.include?( "\.svn" ) }
193 193
   end
194 194
 
195  
-  s.add_dependency('activesupport', '= 2.3.3' + PKG_BUILD)
  195
+  s.add_dependency('activesupport', '= 2.3.4' + PKG_BUILD)
196 196
 
197 197
   s.files.delete FIXTURES_ROOT + "/fixture_database.sqlite"
198 198
   s.files.delete FIXTURES_ROOT + "/fixture_database_2.sqlite"
2  activerecord/lib/active_record/version.rb
@@ -2,7 +2,7 @@ module ActiveRecord
2 2
   module VERSION #:nodoc:
3 3
     MAJOR = 2
4 4
     MINOR = 3
5  
-    TINY  = 3
  5
+    TINY  = 4
6 6
 
7 7
     STRING = [MAJOR, MINOR, TINY].join('.')
8 8
   end
2  activeresource/CHANGELOG
... ...
@@ -1,4 +1,4 @@
1  
-*2.3.4 (pending)*
  1
+*2.3.4 (September 4, 2009)*
2 2
 
3 3
 * Add support for errors in JSON format.  #1956 [Fabien Jakimowicz]
4 4
 
2  activeresource/Rakefile
@@ -66,7 +66,7 @@ spec = Gem::Specification.new do |s|
66 66
     s.files = s.files + Dir.glob( "#{dir}/**/*" ).delete_if { |item| item.include?( "\.svn" ) }
67 67
   end
68 68
   
69  
-  s.add_dependency('activesupport', '= 2.3.3' + PKG_BUILD)
  69
+  s.add_dependency('activesupport', '= 2.3.4' + PKG_BUILD)
70 70
 
71 71
   s.require_path = 'lib'
72 72
   s.autorequire = 'active_resource'
2  activeresource/lib/active_resource/version.rb
@@ -2,7 +2,7 @@ module ActiveResource
2 2
   module VERSION #:nodoc:
3 3
     MAJOR = 2
4 4
     MINOR = 3
5  
-    TINY  = 3
  5
+    TINY  = 4
6 6
 
7 7
     STRING = [MAJOR, MINOR, TINY].join('.')
8 8
   end
6  activesupport/CHANGELOG
... ...
@@ -1,3 +1,9 @@
  1
+*2.3.4 (September 4, 2009)*
  2
+
  3
+* Introduce ActiveSupport::Multibyte.clean to clean invalid multibyte strings.
  4
+
  5
+* Bug fixes
  6
+
1 7
 *2.3.3 (July 12, 2009)*
2 8
 
3 9
 * JSON: +Object#to_json+ calls +as_json+ to coerce itself into something natively encodable like +Hash+, +Integer+, or +String+. Override +as_json+ instead of +to_json+ so you're JSON-library-agnostic.  [Jeremy Kemper]
2  activesupport/lib/active_support/version.rb
@@ -2,7 +2,7 @@ module ActiveSupport
2 2
   module VERSION #:nodoc:
3 3
     MAJOR = 2
4 4
     MINOR = 3
5  
-    TINY  = 3
  5
+    TINY  = 4
6 6
 
7 7
     STRING = [MAJOR, MINOR, TINY].join('.')
8 8
   end
2  railties/CHANGELOG
... ...
@@ -1,4 +1,4 @@
1  
-*2.3.4 (pending)*
  1
+*2.3.4 (September 4, 2009)*
2 2
 
3 3
 * I18n support for plugins.  #2325 [Antonio Tapiador, Sven Fuchs]
4 4
 
10  railties/Rakefile
@@ -314,11 +314,11 @@ spec = Gem::Specification.new do |s|
314 314
   EOF
315 315
 
316 316
   s.add_dependency('rake', '>= 0.8.3')
317  
-  s.add_dependency('activesupport',    '= 2.3.3' + PKG_BUILD)
318  
-  s.add_dependency('activerecord',     '= 2.3.3' + PKG_BUILD)
319  
-  s.add_dependency('actionpack',       '= 2.3.3' + PKG_BUILD)
320  
-  s.add_dependency('actionmailer',     '= 2.3.3' + PKG_BUILD)
321  
-  s.add_dependency('activeresource',   '= 2.3.3' + PKG_BUILD)
  317
+  s.add_dependency('activesupport',    '= 2.3.4' + PKG_BUILD)
  318
+  s.add_dependency('activerecord',     '= 2.3.4' + PKG_BUILD)
  319
+  s.add_dependency('actionpack',       '= 2.3.4' + PKG_BUILD)
  320
+  s.add_dependency('actionmailer',     '= 2.3.4' + PKG_BUILD)
  321
+  s.add_dependency('activeresource',   '= 2.3.4' + PKG_BUILD)
322 322
 
323 323
   s.rdoc_options << '--exclude' << '.'
324 324
   s.has_rdoc = false
2  railties/lib/rails/version.rb
@@ -2,7 +2,7 @@ module Rails
2 2
   module VERSION #:nodoc:
3 3
     MAJOR = 2
4 4
     MINOR = 3
5  
-    TINY  = 3
  5
+    TINY  = 4
6 6
 
7 7
     STRING = [MAJOR, MINOR, TINY].join('.')
8 8
   end

0 notes on commit a43ef24

Please sign in to comment.
Something went wrong with that request. Please try again.